My phone is a LG Thrill.

Over the weekend a white triangle with a red exclamation point took up residence in my status bar and no matter what I tried to do I couldn't fix the error. I rebooted the phone/performed a battery pull and even called my carrier (AT&T). Nothing has worked. I found the following article on the web and followed it step by step:

How to fix google talk authentication failed
I just thought id post this information so everyone wouldn't have to search for it. Go to settings-applications-manage applications and scroll down to market and clear data then scroll down to google services framework and clear data then reboot you're phone and that's it enjoy. Remember it will take about 10 minutes to be able to use the market again.
Its located on and sounded like a good course of action but when I rebooted the phone the white triangle was in my status bar. Once I accepted the Terms of Service for the Play Store most of my apps still have the following statement above them:

Your device isn't compatible with this version.
All Google services work fine when I access them from my computer using IE9 and Google Chrome.

Any help would be greatly appreciated.